POST
/v1/mgmt/impersonate/stepup

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

loginId*string
Length1 <= length
impersonatorId*string
Length1 <= length <= 100
validateConsent?boolean
customClaims?object

Custom claims to include in the JWT as key-value pairs. Keys must be strings; values can be strings, numbers, or booleans.

Example{ "claim-name": "claim-value" }
selectedTenant?string
refreshDuration?integer
Formatint32
sessionCookieName?string
Lengthlength <= 64

Impersonate as a different user with step-up claim

curl -X POST "https://api.descope.com/v1/mgmt/impersonate/stepup" \  -H "Content-Type: application/json" \  -d '{    "loginId": "string",    "impersonatorId": "string"  }'
{  "jwt": "string"}
export interface Response {jwt?: string}
Was this helpful?